* Declare ShellExecute so we can display our HTML files.

declare integer ShellExecute in SHELL32.DLL ;
	integer nWinHandle, ;
	string cOperation, ;
	string cFileName, ;
	string cParameters, ;
	string cDirectory, ;
	integer nShowWindow

* Open the sample CUSTOMER table.

use (_samples + 'data\customer')

* Start outputting to TEST.HTML and create the first part of the HTML.

set textmerge on to TEST.HTML noshow
\\<html>
\<body>
\<table border=1>
\<tr><th>Company</th><th>Contact</th></tr>

* Create a row in the HTML table for every record.

scan next 10
	\<tr><td><<trim(COMPANY)>></td><td><<trim(CONTACT)>></td></tr>
endscan

* Finish the HMTL.

\</table>
\</body>
\</html>

* Close the file and display it in the default browser.

set textmerge to
ShellExecute(0, 'Open', 'TEST.HTML', '', '', 1)
